ActiveRecord::MultiparameterAssignmentErrors

使用date_select时出错:不能更新为1970年以前的年份。抛出的异常是ActiveRecord::MultiparameterAssignmentErrors。debug发现该字段使用的是Time类型。因为表字段类型声明为datetime。将表字段类型改为date类型就好了,对应的是Dat...

2008-02-27 18:03:07

阅读数:4

评论数:0

图片处理及S3

环境: 1 S3 sudo gem i aws-s3 2 ImageMagick sudo apt-get install imagemagick 3 Rmagick sudo apt-get install librmagick-ruby

2008-02-23 18:49:55

阅读数:38

评论数:0

rails插件安装

rails2.0后,一些原来由框架提供的功能独立出来以plugin提供,如pagination,auto_complete等。 插件安装: ruby script/plugin install http://svn.rubyonrails.org/rails/plugins/auto_co...

2008-02-21 00:18:17

阅读数:5

评论数:0

ubuntu rails环境搭建

1 安装ruby及gem sudo apt-get install ruby irb ri rdoc rubygems ruby1.8-dev 2 安装rails 需要先更新gem sudo gem update --system sudo rm /usr/bin/gem sudo...

2008-02-14 18:14:29

阅读数:8

评论数:0

使用InstantRails1.3的两个问题

1 需要安装mysql驱动: gem install mysql 否则会出错: Lost connection to MySQL server during query 2.0版本已经自带了驱动。 2 需要将libmysql.dll放到path路径下。 否则会出错:无法定位程序输入点 ...

2008-02-13 16:26:45

阅读数:2

评论数:0

maven-tomcat-plugin的用法

maven-tomcat-plugin让maven与tomcat配合得很好。它可以把应用部署到Tomcat服务器,也可以把tomcat作为内嵌服务器启动,就像jetty一样。使用JPDA启动tomcat的远程调试功能。这样就能与eclipse配合起来,轻松地实现调试。而且具有tomcat的热部署功...

2008-02-01 19:15:48

阅读数:6

评论数:0

提示
确定要删除当前文章?
取消 删除
关闭
关闭